<?php

namespace Shm\ShmChat\SchemaChat;

use Shm\Collection\Collection;
use Shm\Shm;
use Shm\ShmChat\ShmChat;
use Shm\ShmDB\mDB;
use Shm\ShmTypes\Classes\ShmEventPayload;
use Shm\ShmTypes\StructureType;

class ShmFastAnswers extends Collection
{




    public function schema(): ?StructureType
    {
        $schema = Shm::structure([

            "owner" => Shm::ID(),
            "ownerCollection" => Shm::string(),
            'name' => Shm::string()->title("Название"),
            "text" => Shm::string()->title("Текст"),

        ]);

        return $schema;
    }
}